%global momorel 1
%global artsver 1.5.6
%global artsrel 2m
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global kdebaserel 2m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 28e3ef38bdc8d8241496924094c68e78

Summary: KSmoothDock is a cool desktop panel (like KDE's kicker)
Name: ksmoothdock
Version: 4.5
Release: %{momorel}m%{?dist}
License: GPL
URL: http://ksmoothdock.sourceforge.net/
Group: User Interface/Desktops
%NoSource 0 http://dl.sourceforge.net/sourceforge/%{name}/%{name}-%{version}_automake-1.9.tar.gz %{md5sum_src0}
Patch0: %{name}-%{version}-desktop.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: arts-devel >= %{artsver}-%{artsrel}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: kdebase >= %{kdever}-%{kdebaserel}
BuildPreReq: gettext
BuildPreReq: desktop-file-utils

%description
KSmoothDock is a cool desktop panel (like KDE's kicker) for KDE 3.2 and
above with smooth zooming (2 modes: normal & parabolic). Its aim is to
provide a cool alternative/complement to kicker. As it is intended for
KDE/Linux, its behaviour will be like that of kicker.

%prep
%setup -q -n %{name}

%patch0 -p1 -b .desktop~

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# install desktop file
desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_datadir}/applications/kde \
  --add-category X-KDE-Utilities-Desktop \
  --add-category Utility \
  --add-category KDE \
  --add-category Qt \
  %{buildroot}%{_datadir}/applnk/Utilities/ksmoothdock.desktop

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL
%{_bindir}/ksmoothdock
%{_datadir}/applications/kde/ksmoothdock.desktop
%{_datadir}/apps/ksmoothdock
%{_datadir}/doc/HTML/*/ksmoothdock
%{_datadir}/icons/hicolor/*/apps/ksmoothdock.png

%changelog
* Tue May 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.5-1m)
- version 4.5
- update desktop.patch

* Wed Apr 11 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.3-1m)
- initial package for Momonga Linux
